Subject: bug#58104: 29.0.50; Emacs crushers in console probably by M-w

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Sep 2022 09:42:51 +0300

> From: Jean Louis <[email-masked]>
> Date: Tue, 27 Sep 2022 08:48:13 +0300
> 
> 
> I am running Emacs from console by using gdb, so it crashed when I used
> M-w but cannot remember how exactly. I select something, I can see
> selected text in blue, and I run gdb in console with gdb --args emacs -Q
> -nw then Emacs receives some signal, sometimes, I caught something:
> 
> (gdb) backtrace 
> #0  0x00007ffff60192b1 in pselect () at /usr/lib/libc.so.6
> #1  0x00005555557db811 in really_call_select (arg=0x7fffffffca10) at thread.c:612
> #2  0x00005555557dbf8f in flush_stack_call_func (arg=0x7fffffffca10, func=0x5555557db7a0 <really_call_select>)
>     at /home/data1/protected/Programming/Software/emacs/src/lisp.h:4225
> #3  thread_select
>     (func=<optimized out>, max_fds=max_fds@entry=9, rfds=rfds@entry=0x7fffffffcb10, wfds=wfds@entry=0x7fffffffcb90, efds=efds@entry=0x0, timeout=timeout@entry=0x7fffffffd170, sigmask=<optimized out>) at thread.c:644
> #4  0x00005555557ffe0d in xg_select
>     (fds_lim=9, rfds=0x7fffffffd2a0, wfds=0x7fffffffd320, efds=0x0, timeout=<optimized out>, sigmask=0x0) at xgselect.c:184
> #5  0x00005555557b332b in wait_reading_process_output
>     (time_limit=time_limit@entry=30, nsecs=nsecs@entry=0, read_kbd=read_kbd@entry=-1, do_display=do_display@entry=true, wait_for_cell=wait_for_cell@entry=0x0, wait_proc=wait_proc@entry=0x0, just_wait_proc=<optimized out>) at process.c:5685
> #6  0x00005555555afe90 in sit_for (timeout=timeout@entry=0x7a, reading=reading@entry=true, display_option=display_option@entry=1)
>     at dispnew.c:6238
> #7  0x00005555556dd8b7 in read_char
>     (commandflag=1, map=0x555555fb4c93, prev_event=0x0, used_mouse_menu=0x7fffffffda6b, end_time=0x0)
>     at /home/data1/protected/Programming/Software/emacs/src/lisp.h:761

Is this a backtrace from the crash, or is this just a backtrace after
attaching GDB to a running Emacs?  It doesn't look to me as a crash.
It looks like Emacs is idle waiting for input.

Is the crash reproducible?